/*
COLORS

Primary: #eb2f64
Primary light: #FF3366
Primary dark: #BA265D

Grey light 1: #faf9f9
Grey light 2: #f4f2f2
Grey light 3: #f0eeee
Grey light 4: #ccc

Grey dark 1: #333
Grey dark 2: #777
Grey dark 3: #999

*/
:root {
  --color-primary: #eb2f64;
  --color-primary-light: #FF3366;
  --color-primary-dark: #BA265D;
  --color-grey-light-1: #faf9f9;
  --color-grey-light-2: #f4f2f2;
  --color-grey-light-3: #f0eeee;
  --color-grey-light-4: #ccc;
  --color-grey-dark-1: #333;
  --color-grey-dark-2: #777;
  --color-grey-dark-3: #999;
  --shadow-dark: rgba(0,0,0,.3);
  --shadow-light: rgba(0, 0, 0, 0.048); }

* {
  margin: 0;
  padding: 0; }

*,
*::before,
*::after {
  box-sizing: inherit; }

html {
  box-sizing: border-box;
  font-size: 62.5%; }
  @media only screen and (max-width: 68.75em) {
    html {
      font-size: 50%; } }

body {
  font-family: 'Open Sans', sans-serif;
  font-weight: 400;
  line-height: 1.6;
  background-image: linear-gradient(to right bottom, var(--color-primary-light), var(--color-primary-dark));
  color: var(--color-grey-dark-2);
  background-size: cover;
  background-repeat: no-repeat;
  min-height: 100vh; }

.heading-tertiary {
  color: black;
  font-family: inherit;
  font-weight: 400; }

.container {
  max-width: 120rem;
  margin: 8rem auto;
  background-color: var(--color-grey-light-2);
  box-shadow: 0 2rem 6rem var(--shadow-dark);
  min-height: 50rem; }
  @media only screen and (max-width: 75em) {
    .container {
      margin: 0;
      max-width: 100%;
      width: 100%;
      height: 100%; } }

.header {
  font-size: 1.4rem;
  height: 7rem;
  background-color: #fff;
  border-bottom: 1px solid var(--color-grey-light-2);
  display: flex;
  justify-content: space-between;
  align-items: center; }
  @media screen and (max-width: 31.25em) {
    .header {
      flex-wrap: wrap;
      height: 11rem;
      align-content: space-evenly; } }

.content {
  display: flex; }
  .content__sidebar {
    background-color: var(--color-grey-dark-1);
    flex: 0 0 18%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-self: stretch; }
    @media only screen and (max-width: 56.25em) {
      .content__sidebar {
        flex-direction: row; } }
  .content__hotel-view {
    background-color: #fff;
    flex: 1; }
  @media only screen and (max-width: 56.25em) {
    .content {
      flex-direction: column; } }

.detail {
  display: flex;
  font-size: 1.4rem;
  padding: 4.5rem;
  background-color: var(--color-grey-light-1);
  border-bottom: 1px solid var(--color-grey-light-2); }
  @media screen and (max-width: 56.25em) {
    .detail {
      padding: 2rem; } }
  @media screen and (max-width: 37.5em) {
    .detail {
      flex-direction: column; } }

.description {
  font-size: inherit;
  background-color: #fff;
  box-shadow: 0 2rem 5rem rgba(0, 0, 0, 0.06);
  flex: 0 0 60%;
  padding: 3rem;
  margin-right: 4.5rem;
  font-size: 1.4rem; }
  @media screen and (max-width: 56.25em) {
    .description {
      margin-right: 3rem;
      padding: 2rem; } }
  @media screen and (max-width: 37.5em) {
    .description {
      margin-right: 0; } }

.user-reviews {
  font-size: inherit;
  flex: 1;
  display: flex;
  flex-direction: column;
  align-items: center; }
  @media screen and (max-width: 37.5em) {
    .user-reviews {
      margin-top: 3rem; } }

.logo {
  height: 3.25rem;
  margin-left: 2rem; }

.search {
  flex: 0 0 40%;
  display: flex;
  align-items: center;
  justify-content: center; }
  @media screen and (max-width: 31.25em) {
    .search {
      order: 1;
      flex: 0 0 100%;
      background-color: var(--color-grey-light-2); } }
  .search__input {
    font-family: inherit;
    font-size: inherit;
    background-color: var(--color-grey-light-2);
    border: none;
    color: inherit;
    padding: .7rem 2rem;
    border-radius: 100px;
    width: 90%;
    transition: all .2s;
    margin-right: -3.25rem; }
    .search__input:focus {
      outline: none;
      width: 100%;
      background-color: var(--color-grey-light-3); }
    .search__input::-webkit-input-placeholder {
      font-weight: 100;
      color: var(--color-grey-light-4); }
  .search__input:focus + .search__button {
    background-color: var(--color-grey-light-3); }
  .search__button {
    border: none;
    background-color: var(--color-grey-light-2); }
    .search__button:focus {
      outline: none; }
    .search__button:active {
      transform: translateY(2px); }
  .search__icon {
    height: 2rem;
    width: 2rem;
    fill: var(--color-grey-dark-3); }

.user-nav {
  display: flex;
  align-self: stretch; }
  .user-nav > * {
    padding: 0 2rem;
    cursor: pointer;
    height: 100%;
    display: flex;
    align-items: center; }
  .user-nav > *:hover {
    height: 100%;
    background-color: var(--color-grey-light-3); }
  .user-nav__icon-box {
    position: relative; }
  .user-nav__icon {
    height: 2.25rem;
    width: 2.25rem;
    fill: var(--color-grey-dark-2); }
  .user-nav__notification {
    font-size: .8rem;
    height: 1.75rem;
    width: 1.75rem;
    border-radius: 100px;
    background-color: var(--color-primary);
    color: #fff;
    position: absolute;
    top: 1.2rem;
    right: 1.1rem;
    display: flex;
    align-items: center;
    justify-content: center; }
  .user-nav__user-flex {
    display: flex;
    align-items: center; }
  .user-nav__user-photo {
    height: 3.75rem;
    width: 3.75rem;
    border-radius: 50%;
    margin-right: 1rem; }

.side-nav {
  font-size: 1.4rem;
  list-style: none;
  margin-top: 3.5rem; }
  @media screen and (max-width: 56.25em) {
    .side-nav {
      display: flex;
      margin: 0;
      width: 100%;
      align-self: stretch; } }
  .side-nav__item {
    position: relative; }
    .side-nav__item:not(:last-child) {
      margin-bottom: .5rem; }
      @media screen and (max-width: 56.25em) {
        .side-nav__item:not(:last-child) {
          margin-bottom: 0; } }
    @media screen and (max-width: 56.25em) {
      .side-nav__item {
        flex: 1; } }
    .side-nav__item::before {
      content: "";
      position: absolute;
      top: 0;
      left: 0;
      height: 100%;
      width: 3px;
      background-color: var(--color-primary);
      transition: transform 0.2s, width 0.4s cubic-bezier(1, 0, 0, 1) 0.2s, background-color 0.1s;
      transform: scaleY(0); }
    .side-nav__item:hover::before, .side-nav__item--active::before {
      transform: scaleY(1);
      width: 100%; }
    .side-nav__item:active::before {
      background-color: var(--color-primary-light); }
  .side-nav__link:visited, .side-nav__link:link {
    text-decoration: none;
    color: var(--color-grey-light-1);
    text-transform: uppercase;
    display: block;
    padding: 1.5rem 3rem;
    display: flex;
    align-items: center;
    position: relative;
    z-index: 10; }
  @media screen and (max-width: 56.25em) {
    .side-nav__link {
      justify-content: center;
      padding: 2rem 0; } }
  @media screen and (max-width: 37.5em) {
    .side-nav__link {
      flex-direction: column;
      padding: 1.5rem .5rem; } }
  .side-nav__icon {
    height: 1.75rem;
    width: 1.75rem;
    margin-right: 2rem;
    fill: currentColor; }
    @media screen and (max-width: 37.5em) {
      .side-nav__icon {
        margin-right: 0; } }

.legal {
  font-size: 1.2rem;
  text-align: center;
  padding: 2.5rem;
  color: var(--color-grey-light-4); }
  @media screen and (max-width: 56.25em) {
    .legal {
      display: none;
      visibility: hidden; } }

.gallery {
  display: flex; }
  .gallery__photo {
    width: 100%;
    display: block; }

.overview {
  display: flex;
  border-bottom: 1px solid var(--color-grey-light-2);
  align-items: center; }
  .overview__heading {
    font-size: 2.25rem;
    font-weight: 300;
    text-transform: uppercase;
    letter-spacing: 1px;
    padding: 1.5rem 3rem; }
    @media screen and (max-width: 37.5em) {
      .overview__heading {
        font-size: 1.8rem;
        padding: 1.25rem 2rem; } }
  .overview__stars {
    display: flex;
    align-self: stretch;
    align-items: center;
    margin-right: auto; }
  .overview__icon-star, .overview__icon-location {
    width: 1.75rem;
    height: 1.75rem;
    fill: var(--color-primary); }
  .overview__location {
    font-size: 1.2rem;
    display: flex;
    align-items: center; }
  .overview__icon-location {
    margin-right: .5rem; }
  .overview__rating {
    align-self: stretch;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    background-color: var(--color-primary);
    margin-left: 3rem;
    padding: 0 2.25rem;
    color: #fff; }
    @media screen and (max-width: 37.5em) {
      .overview__rating {
        padding: 0 1.5rem; } }
  .overview__rating-average {
    font-size: 2.25rem;
    font-weight: 300;
    margin-bottom: -3px; }
    @media screen and (max-width: 37.5em) {
      .overview__rating-average {
        font-size: 1.3rem; } }
  .overview__rating-count {
    font-size: .8rem;
    text-transform: uppercase; }
    @media screen and (max-width: 37.5em) {
      .overview__rating-count {
        font-size: .5rem; } }

.btn-inline {
  border: none;
  font-size: inherit;
  display: inline-block;
  background-color: transparent;
  cursor: pointer;
  transition: all .2s; }
  .btn-inline:focus {
    outline: none; }

.btn-primary-color {
  color: var(--color-primary); }

.btn-special {
  border-bottom: 1px solid currentColor;
  padding-bottom: 2px; }
  .btn-special span {
    margin-left: 3px;
    transition: margin-left .2s; }
  .btn-special:hover {
    color: var(--color-grey-dark-1); }
    .btn-special:hover span {
      margin-left: 8px; }
  .btn-special:focus {
    animation: pulsate 1s infinite; }

@keyframes pulsate {
  0% {
    transform: scale(1);
    box-shadow: none; }
  50% {
    transform: scale(1.05);
    box-shadow: 0 1rem 4rem rgba(0, 0, 0, 0.25); }
  100% {
    transform: scale(1.05);
    box-shadow: none; } }

.paragraph:not(:last-of-type) {
  margin-bottom: 3rem; }

.review {
  background-color: #fff;
  box-shadow: var(--shadow-light);
  padding: 3rem;
  margin-bottom: 3.5rem;
  display: block;
  position: relative;
  overflow: hidden; }
  @media screen and (max-width: 37.5em) {
    .review {
      align-self: stretch; } }
  @media screen and (max-width: 56.25em) {
    .review {
      margin-bottom: 3rem; } }
  .review__text {
    position: relative;
    z-index: 10;
    margin-bottom: 2rem; }
  .review__user {
    display: flex;
    align-items: center; }
  .review__photo {
    height: 4.5rem;
    width: 4.5rem;
    border-radius: 50%;
    margin-right: 1.5rem; }
  .review__user-box {
    margin-right: auto;
    align-self: stretch;
    display: flex;
    flex-direction: column;
    justify-content: space-evenly; }
  .review__user-name {
    text-transform: uppercase;
    font-weight: 600;
    font-size: 1.25rem; }
  .review__user-date {
    font-size: 1rem;
    color: var(--color-grey-light-4); }
  .review__rating {
    font-size: 2rem;
    color: var(--color-primary); }
  .review::before {
    content: "\201c";
    position: absolute;
    top: -2rem;
    left: -1rem;
    z-index: 1;
    font-size: 20rem;
    color: var(--color-grey-light-2);
    font-family: sans-serif;
    line-height: 1; }

.list {
  list-style: none;
  margin: 3rem 0;
  padding: 3rem 0;
  border-top: 1px solid var(--color-grey-light-2);
  border-bottom: 1px solid var(--color-grey-light-2);
  display: flex;
  flex-wrap: wrap; }
  .list__item {
    flex: 0 0 50%;
    margin-bottom: .7rem; }
    .list__item::before {
      content: "";
      display: inline-block;
      height: 1rem;
      width: 1rem;
      margin-right: .7rem;
      background-image: url("../img/chevron-thin-right.svg");
      background-size: cover; }
      @supports (-webkit-mask-image: url()) or (mask-image: url()) {
        .list__item::before {
          background-color: var(--color-primary);
          -webkit-mask-image: url("../img/chevron-thin-right.svg");
          -webkit-mask-size: cover;
          background-image: none; } }

.recommend {
  font-size: 1.3rem;
  color: var(--color-grey-light-4);
  display: flex;
  justify-content: space-between;
  align-items: center; }
  .recommend__friends {
    display: flex; }
  .recommend__photo {
    box-sizing: content-box;
    height: 4rem;
    width: 4rem;
    border-radius: 50%;
    border: 3px solid #fff; }
    .recommend__photo:not(:last-child) {
      margin-right: -1.5rem; }

.cta {
  padding: 3.5rem 0;
  text-align: center; }
  .cta__book-now {
    text-transform: uppercase;
    font-size: 2rem;
    font-weight: 300;
    margin-bottom: 2rem; }

.btn {
  border: none;
  font-weight: 300;
  border-radius: 100px;
  background-image: linear-gradient(to right, var(--color-primary-light), var(--color-primary-dark));
  color: #fff;
  position: relative;
  overflow: hidden;
  font-family: inherit;
  font-size: 2rem;
  cursor: pointer; }
  .btn > * {
    display: inline-block;
    height: 100%;
    width: 100%;
    transition: all .2s; }
  .btn__visible {
    padding: 2rem 7.5rem; }
  .btn__invisible {
    display: inline-block;
    position: absolute;
    left: 0;
    top: -100%;
    padding: 2rem 0;
    visibility: hidden; }
  .btn:hover {
    background-image: linear-gradient(to left, var(--color-primary-light), var(--color-primary-dark)); }
  .btn:hover .btn__visible {
    transform: translateY(100%);
    visibility: hidden; }
  .btn:hover .btn__invisible {
    top: 0;
    visibility: visible; }
  .btn:focus {
    outline: none;
    animation: pulsate 1s infinite; }

.navigation__checkbox {
  display: none; }

.navigation__background {
  display: inline-block;
  z-index: 1000;
  position: absolute;
  top: 0;
  left: -100%;
  visibility: hidden;
  box-shadow: 0 1rem 1rem rgba(0, 0, 0, 0.4);
  border-radius: 5px;
  transition: all .3s;
  transform: scale(0); }

.navigation__checkbox:checked ~ .navigation__background {
  background: #fff;
  top: 105%;
  left: -100%;
  transform: scale(1);
  visibility: visible; }
  .navigation__checkbox:checked ~ .navigation__background-setting {
    left: -140%; }

.notification {
  min-width: 20rem;
  max-width: 30rem;
  max-height: 30rem;
  overflow-y: scroll; }
  .notification ::-webkit-scrollbar {
    width: 10px; }
  .notification ::-webkit-scrollbar-track {
    background-color: var(--color-primary); }
  .notification ::-webkit-scrollbar-thumb {
    background-color: var(--color-primary-light); }
  .notification ::-webkit-scrollbar-thumb:hover {
    background-color: var(--color-primary); }
  .notification__list {
    list-style: none;
    border-bottom: 1px solid var(--color-grey-light-4); }
    .notification__list-border-top {
      border-top: 1px solid var(--color-grey-light-4); }
  .notification__item {
    padding: .5rem; }
    .notification__item:not(:last-child) {
      border-bottom: 1px solid var(--color-grey-light-3); }
    .notification__item:hover {
      background-color: var(--color-grey-light-2); }
  .notification__link:link, .notification__link:visited {
    color: #000;
    text-decoration: none; }
  .notification__heading {
    margin-left: 1rem;
    padding: 1rem; }
  .notification__content {
    display: flex;
    width: 100%;
    align-items: center; }
  .notification__img {
    width: 3.5rem;
    height: 3.5rem;
    margin-right: .5rem; }
  .notification__content-box {
    margin-right: auto; }
  .notification__username {
    font-weight: 600; }
  .notification__info {
    font-size: 1rem; }
    .notification__info > span {
      font-weight: 600;
      margin-right: .2rem;
      font-size: 1.2rem; }
    .notification__info-chat {
      overflow: hidden;
      white-space: nowrap;
      text-overflow: ellipsis;
      max-width: 10rem; }
  .notification__datetime {
    font-size: .9rem;
    color: var(--color-grey-dark-3);
    align-self: flex-end; }
  .notification__show-all {
    text-align: center;
    padding: 1rem; }
